
header{
    background-color: #fff ;
    padding: 1rem 0 ;
    z-index: 992;
    position: relative;
}


.header-holder{
    @include flex($content:space-between) ;
}
.header-content{
    @include flex($direction:column,$width:calc(100% - 160px));
}
.header-content-top{
    @include flex($content:space-between,$width:100%) ;
}
.header-content-bottom{
    @include flex($content:space-between,$width:100%) ;
}
.header-logo{
    width: 160px ;
    padding: 0 1rem;
    img{
        width: 100%;
        height: auto
    }
}


/* header nav */
.header-nav ul {
    @include flex() ;
} 
.header-nav ul li {
    margin-left: 20px;
}
.header-nav li a{
    @include typography($size:13px ,$lineheight:32px);
    color: #000 ;
    opacity: 0.7;
    @include css3-prefix(transition,all 0.5s ease);
    
    &:hover{
        opacity: 1;
    }   
}
 
/* header user area */
.header-user-area {
    @include flex($justflex:"true") ;
    z-index: 100;
    &>a{
        font-size: 13px ;
        background-color: #6eaf18 ;
        padding: 0 12px ;
        line-height: 32px;
        border-radius: 8px ;
        color: #ffff ;        
    }
    .dropdown button{
        outline: none ;
        border: none ;
        background: transparent !important;
        color: #000
    }
    .dropdown button:focus{
        outline: none ;
        box-shadow: none
    }
.dropdown-item {
    @include typography($align:right)
}

}
 .btn-primary:not(:disabled):not(.disabled).active, .btn-primary:not(:disabled):not(.disabled):active, .show>.btn-primary.dropdown-toggle
{
        outline: none !important;
        border: none !important;
        background: transparent !important;
        color: #000!important   
 }
.btn-primary:not(:disabled):not(.disabled).active:focus, .btn-primary:not(:disabled):not(.disabled):active:focus, .show>.btn-primary.dropdown-toggle:focus {
    box-shadow: none !important
}
/* header search */

.header-search form{
    width: 500px ;
    line-height:44px;
    border: 2px solid #ddd ;
    border-radius: 8px ;
    overflow: hidden;
    @include flex($justflex:"true") ;
    input{
        width: calc(100% - 44px ) ;
        @include typography($size:13px ,$lineheight:44px,$align:right);
        border: none ;
        padding: 0px 12px ;
     }
    button {
        width: 44px;
        outline: none ;
        background: transparent ;
        border: none ;
        i{
            @include typography($size:23px ,$lineheight:44px);
            width: 42px;
            color: #ccc
        }
    }
}

.header-actions-area  {
    @include flex($justflex:"true") ;
}

.basket-btn{
    @include typography($size:13px );
    @include flex($justflex:"true") ;
    background-color: #0083fb ;
    padding: 7px 12px ;
    border-radius: 8px ;
    color: #ffff ;
}
.basket-btn:hover{
    color: #fff
}
.basket-btn span{
     line-height: 30px;
}
.basket-btn span.num{
    width: 30px ;
    height: 30px;
    border-radius: 100%;
    margin-right: 12px;
    background: #0071d8 ;
    text-align: center;
}
.basket-btn span.icon{
    margin-left: 12px;
}
.basket-btn span.icon i{
    float: right;
    @include typography($size:20px ,$lineheight:30px);
}
.res-basket-btn{
    margin-right: 1.2rem;
    span{
        @include position( $type:absolute,$top:-6px , $right:-6px) ; 
        width: 24px;
        height: 24px;
        background: #bb4a4a ;
        color: #fff ;
        border-radius: 100%;
        @include flex() ;
        @include typography($size:14px);
    }
}
.res-basket-btn,.res-invoice-btn,.res-user-btn{
    display: none ;
    position: relative;
    i{
         @include typography($size:30px);
         color: #929292
    }
}
.res-user-btn{
    margin-right: 1.2rem;
}
 
.pre-factor-btn{
    @include typography($size:13px ,$lineheight:44px);
    background-color: #bb4a4a ;
    padding: 0px 12px ;
    border-radius: 8px ;
    color: #ffff ;
    text-align: center;
    width: 150px ;
 }
.pre-factor-btn:hover{
    color: #fff
}






 .navigation-btn{
     display: none;
     i{
          @include typography($size:30px);
     }
 }